/**
 * @copyright   (C) 2011 - 2014 Mike Feng Jinglong - All rights reserved.
 * @license  GNU General Public License, version 3 (http://www.gnu.org/licenses/gpl-3.0.html)
 * @author  Mike Feng Jinglong <mike@simbunch.com>
 * @url   http://www.simbunch.com/license/
*/
jQuery(document).ready(function($) {
	if ($('#system-message').length) {
		SIMAlerts($);
	}
});

function SIMAlerts($) {
	if (alertopts.style == 1)
		jBoxAlerts($);
	else if (alertopts.style == 2)
		notyAlerts($);
	else if (alertopts.style == 3)
		notifyjsAlerts($);
		
	if (alertopts.hideoriginal) {
		$('#system-message').remove();
	}
}
	
function jBoxAlerts($) {
	var color, content;
	$.each(alertitems, function(index, value) {
		setTimeout(function() {
			switch (value.type) {
				case 'error':
					color = 'red';
					content = '<i class="fa fa-exclamation-triangle"></i>&nbsp;&nbsp;'+value.message;
					break;
				case 'warning':
				case 'notice':
					color = 'yellow';
					content = '<i class="fa fa-exclamation-circle"></i>&nbsp;&nbsp;'+value.message;
					break;
				case 'message':
					color = 'blue';
					content = '<i class="fa fa-info-circle"></i>&nbsp;&nbsp;'+value.message;
					break;
			}
			new jBox('Notice', {
				theme: 'NoticeBorder',
				color: color,
				attributes: { x: 'right', y: 'bottom' },
				stack: true,
				content: content
			});
		}, 400 + (index * 400));
	});
}

function notyAlerts($) {
	var type, text;
	$.each(alertitems, function(index, value) {
		switch (value.type) {
			case 'error':
				type = 'error';
				text = '<div class="text-error"><i class="fa fa-exclamation-triangle"></i>&nbsp;&nbsp;'+value.message+'</div>';
				break;
			case 'warning':
			case 'notice':
				type = 'warning';
				text = '<div class="text-warning"><i class="fa fa-exclamation-circle"></i>&nbsp;&nbsp;'+value.message+'</div>';
				break;
			case 'message':
				type = 'information';
				text = '<div class="text-info"><i class="fa fa-info-circle"></i>&nbsp;&nbsp;'+value.message+'</div>';
				break;
		}
		noty({
			text        : text,
			type        : type,
			dismissQueue: true,
			timeout     : 8000,
			closeWith   : ['click'],
			layout      : 'bottomRight',
			theme       : 'relax',
			maxVisible  : 50
		});
	});
}

function notifyjsAlerts($) {
	var type;
	$.each(alertitems, function(index, value) {
		switch (value.type) {
			case 'error':
				type = 'error';
				break;
			case 'warning':
			case 'notice':
				type = 'warn';
				break;
			case 'message':
				type = 'info';
				break;
		}
		$.notify('&nbsp;&nbsp;'+value.message, {
			globalPosition: 'bottom right',
			className: type,
			autoHideDelay: 8000,
			arrowShow: false
		});
	});
}